Qwt User's Guide: QwtPlotMagnifier Class Reference

Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
QwtPlotMagnifier Class Reference

`#include <qwt_plot_magnifier.h>`

Inheritance diagram for QwtPlotMagnifier:
[legend]

List of all members.

## Public Member Functions
| QwtPlotMagnifier (QwtPlotCanvas *)
virtual | ~QwtPlotMagnifier ()
QwtPlotCanvas * | canvas ()
const QwtPlotCanvas * | canvas () const
bool | isAxisEnabled (int axis) const
QwtPlot * | plot ()
const QwtPlot * | plot () const
void | setAxisEnabled (int axis, bool on)
Public Member Functions inherited from QwtMagnifier
| QwtMagnifier (QWidget *)
virtual | ~QwtMagnifier ()
virtual bool | eventFilter (QObject *, QEvent *)
void | getMouseButton (int &button, int &buttonState) const
void | getZoomInKey (int &key, int &modifiers) const
void | getZoomOutKey (int &key, int &modifiers) const
bool | isEnabled () const
double | keyFactor () const
double | mouseFactor () const
QWidget * | parentWidget ()
const QWidget * | parentWidget () const
void | setEnabled (bool)
void | setKeyFactor (double)
void | setMouseButton (int button, int buttonState=Qt::NoButton)
void | setMouseFactor (double)
void | setWheelButtonState (int buttonState)
void | setWheelFactor (double)
void | setZoomInKey (int key, int modifiers)
void | setZoomOutKey (int key, int modifiers)
int | wheelButtonState () const
double | wheelFactor () const

## Protected Member Functions
virtual void | rescale (double factor)
Protected Member Functions inherited from QwtMagnifier
virtual void | widgetKeyPressEvent (QKeyEvent *)
virtual void | widgetKeyReleaseEvent (QKeyEvent *)
virtual void | widgetMouseMoveEvent (QMouseEvent *)
virtual void | widgetMousePressEvent (QMouseEvent *)
virtual void | widgetMouseReleaseEvent (QMouseEvent *)
virtual void | widgetWheelEvent (QWheelEvent *)

## Detailed Description

QwtPlotMagnifier provides zooming, by magnifying in steps.

Using QwtPlotMagnifier a plot can be zoomed in/out in steps using keys, the mouse wheel or moving a mouse button in vertical direction.

Together with QwtPlotZoomer and QwtPlotPanner it is possible to implement individual and powerful navigation of the plot canvas.

See also:
  QwtPlotZoomer, QwtPlotPanner, QwtPlot

## Constructor & Destructor Documentation

QwtPlotMagnifier::QwtPlotMagnifier | ( | QwtPlotCanvas * | canvas | ) |
| explicit

Constructor

Parameters:

  canvas | Plot canvas to be magnified

## Member Function Documentation

bool QwtPlotMagnifier::isAxisEnabled | ( | int | axis | ) | const

Test if an axis is enabled

Parameters:

  axis | Axis, see QwtPlot::Axis

Returns:
  True, if the axis is enabled

See also:
  setAxisEnabled()

void QwtPlotMagnifier::rescale | ( | double | factor | ) |
| protectedvirtual

Zoom in/out the axes scales

Parameters:

  factor | A value < 1.0 zooms in, a value > 1.0 zooms out.

Implements QwtMagnifier.

void QwtPlotMagnifier::setAxisEnabled | ( | int | axis,
|  | bool | on
| ) |  |

En/Disable an axis.

Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters:

  axis | Axis, see QwtPlot::Axis
  on | On/Off

See also:
  isAxisEnabled()